Skip to main content
`Ctrl`+`K`

# MatColoringType

String with the name of a PETSc matrix coloring

## Synopsis

    typedef const char *MatColoringType;
    #define MATCOLORINGJP      "jp"
    #define MATCOLORINGPOWER   "power"
    #define MATCOLORINGNATURAL "natural"
    #define MATCOLORINGSL      "sl"
    #define MATCOLORINGLF      "lf"
    #define MATCOLORINGID      "id"
    #define MATCOLORINGGREEDY  "greedy"

## See Also

Matrices, Graph Operations, `Mat`, `MatFDColoringCreate()`, `MatColoringSetType()`, `MatColoring`

## Level

beginner

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages